Skip to main content

Attach or Detach a LoadBalancer IP

Attaches a reserved LoadBalancer IP to a cluster node, or detaches it. Send vm_id (the target node's VM ID) and type - attach or detach. The path takes the reserved ip_address (from List LB IPs).

POST/api/v1/reserve_ips/k8s_public_ip/{ip_address}/actions/

Path parameters

  • ip_addressPathstringrequired

    The reserved IP address to act on (from List LB IPs).

    • required
    • must be a reserved IP address
    example203.0.113.20

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the cluster.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Request body

application/json

object

Attach or detach a reserved IP to/from a cluster node.

vm_idintegerrequired

VM ID of the target cluster node.

example323906
  • required
  • must be a valid cluster node VM ID
typestringrequired

The action to perform.

exampleattach
  • required
  • one of: attach, detach

Responses

200Successful response
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleIP assigned Successfully.